# Update QStash Budget

> Updates the monthly spending budget limit for a QStash instance.

`PATCH /qstash/update-budget/{id}`

## OpenAPI

````yaml devops/developer-api/openapi.yml patch /qstash/update-budget/{id}
openapi: 3.0.4
info:
  title: Developer API - Upstash
  description: This is a documentation to specify Developer API endpoints based on
    the OpenAPI 3.0 specification.
  contact:
    name: Support Team
    email: support@upstash.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.0
servers:
  - url: https://api.upstash.com/v2
tags:
  - name: redis
    description: Manage redis databases.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: teams
    description: Manage teams and team members.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: vector
    description: Manage vector indices.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: search
    description: Manage search indices.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: qstash
    description: Manage QStash.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
paths:
  /qstash/update-budget/{id}:
    patch:
      summary: Update QStash Budget
      description: Updates the monthly spending budget limit for a QStash instance.
      operationId: updateQStashBudget
      tags:
        - qstash
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: QStash user ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - budget
              properties:
                budget:
                  type: integer
                  description: Monthly spending budget limit in dollars. Minimum 20, maximum
                    10000, or 0 for no limit.
                  minimum: 0
                  maximum: 10000
                  example: 100
      responses:
        "200":
          description: Budget updated successfully
          content:
            application/json:
              schema:
                type: string
                example: OK
      security:
        - basicAuth: []
````
